# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "rc6"
version = "0.1.0"
authors = ["RustCrypto Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "RC6 block cipher"
readme = "README.md"
keywords = [
    "crypto",
    "rc6",
    "block-cipher",
]
categories = ["cryptography"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/RustCrypto/block-ciphers"

[features]
zeroize = []

[lib]
name = "rc6"
path = "src/lib.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"

[dependencies.cipher]
version = "0.5"
features = ["zeroize"]

[dev-dependencies.cipher]
version = "0.5"
features = ["dev"]
